- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/invitations/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/invitations/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/invitations/list#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/invitations/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/classroom/reference/rest/v1/invitations/list#body.ListInvitationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/invitations/list#body.aspect)
- [Try it!](https://developers.google.com/workspace/classroom/reference/rest/v1/invitations/list#try-it)

Returns a list of invitations that the requesting user is permitted to view, restricted to those that match the list request.

*Note:* At least one of `userId` or `courseId` must be supplied. Both fields can be supplied.

This method returns the following error codes:

- `PERMISSION_DENIED` for [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).

### HTTP request

`GET https://classroom.googleapis.com/v1/invitations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `userId` | `string` Restricts returned invitations to those for a specific user. The identifier can be one of the following: - the numeric identifier for the user - the email address of the user - the string literal `"me"`, indicating the requesting user |
| `courseId` | `string` Restricts returned invitations to those for a course with the specified identifier. |
| `pageSize` | `integer` Maximum number of items to return. The default is 500 if unspecified or `0`. The server may return fewer than the specified number of results. |
| `pageToken` | `string` `https://developers.google.com/workspace/classroom/reference/rest/v1/invitations/list#body.ListInvitationsResponse.FIELDS.next_page_token` value returned from a previous `https://developers.google.com/workspace/classroom/reference/rest/v1/invitations/list#google.classroom.v1.Invitations.ListInvitations` call, indicating that the subsequent page of results should be returned. The `https://developers.google.com/workspace/classroom/reference/rest/v1/invitations/list#google.classroom.v1.Invitations.ListInvitations` request must be otherwise identical to the one that resulted in this token. |

### Request body

The request body must be empty.

### Response body

Response when listing invitations.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "invitations": [ { object (`https://developers.google.com/workspace/classroom/reference/rest/v1/invitations#Invitation`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `invitations[]` | ``object (`https://developers.google.com/workspace/classroom/reference/rest/v1/invitations#Invitation`)`` Invitations that match the list request. |
| `nextPageToken` | `string` Token identifying the next page of results to return. If empty, no further results are available. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/classroom.rosters`
- `
  https://www.googleapis.com/auth/classroom.rosters.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).